%define name	hostap
%define version	0.2.0
%define cvsver	20031103
%define release 0.%cvsver.3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://hostap.epitest.fi/
Group:		System/Configuration/Networking
Source0:	hostap-%version-cvs%cvsver.tar.bz2
Summary:	Access point for Intersil Prism2/2.5/3
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	ncurses-devel
Requires:	wireless-tools
Prereq:		rpm-helper
Epoch:		1

%description
This is a Linux driver for wireless LAN cards based on Intersil's
Prism2/2.5 chipset. The driver supports a so called Host AP mode, i.e.,
it takes care of IEEE 802.11 management functions in the host computer
and acts as an access point.

%prep
%setup -q -n %{name}

%build
pushd hostapd
%make all
popd
pushd sniff
%make all
popd
pushd utils
%make all
popd

%install
rm -rf %{buildroot}
cp sniff/README README.sniff
cp hostapd/README README.hostapd
cp utils/README README.utils

mkdir -p %{buildroot}/%{_sbindir}
cd $RPM_BUILD_DIR/%{name}
cp hostapd/hostapd %{buildroot}/%{_sbindir}
cp sniff/wlansniff %{buildroot}/%{_sbindir}
find utils -type f -perm +111 -exec cp '{}' %{buildroot}/%{_sbindir} ';'

mkdir -p %{buildroot}/%{_sysconfdir}
cp hostapd/hostapd.conf %{buildroot}/%{_sysconfdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_sbindir}/*
%doc COPYING README README.* FAQ ChangeLog
%config(noreplace) %{_sysconfdir}/*

%changelog
* Sun Dec 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.2.0-0.20031103.3mdk
- Upload the right src.rpm :/

* Sun Dec 14 2003 Pascal Terjan <Cmoi@tuxfamily.org> 0.2.0-0.20031103.2mdk
- distribute hostapd.conf

* Sun Nov 3 2003 Austin Acton <aacton@yorku.ca> 0.2.0-0.20031103.1mdk
- 0.2.0 cvs

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.0.1-1mdk
- 0.0.1
- Drop patch0

* Fri Apr 04 2003 Laurent Culioli <laurent@pschit.net> 20021012-2mdk
- Add require to wireless-tools ( prism2_param needs iwpriv )

* Wed Apr 02 2003 Nicolas Planel <nplanel@linux-mandrake.com> 20021012-1mdk
- First mdk released.
